Module jdk.javadoc
Package jdk.javadoc.doclet

# Interface Reporter

    public interface Reporter

This interface provides error, warning and notice reporting.

Since:
  9

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `print​(Diagnostic.Kind kind, DocTreePath path, String msg)` | Print an error message and increment error count.
`void` | `print​(Diagnostic.Kind kind, String msg)` | Print error message and increment error count.
`void` | `print​(Diagnostic.Kind kind, Element e, String msg)` | Print an error message and increment error count.

## Method Details

### print

void print​(Diagnostic.Kind kind, String msg)
Print error message and increment error count.

Parameters:
  `kind` - specify the diagnostic kind
  `msg` - message to print

### print

void print​(Diagnostic.Kind kind, DocTreePath path, String msg)
Print an error message and increment error count.

Parameters:
  `kind` - specify the diagnostic kind
  `path` - the DocTreePath of item where the error occurs
  `msg` - message to print

### print

void print​(Diagnostic.Kind kind, Element e, String msg)
Print an error message and increment error count.

Parameters:
  `kind` - specify the diagnostic kind
  `e` - the Element for which the error occurs
  `msg` - message to print